# End User License Agreement

> Please read this End User License Agreement (a.k.a “EULA”, "License Agreement") before You purchase a License Key for the Software and subsequently download and use the Software.

By purchasing a License Key and/or downloading and using the Software, You agree, without reservation, to be bound by the terms of this EULA. If You do not agree with the terms of this EULA, please do not purchase a License Key and/or download and use the Software.

If You accept the terms and conditions in this EULA on behalf of a company or other legal entity, You warrant that You have full legal authority to accept the terms and conditions in this EULA on behalf of such company or other legal entity, and to legally bind such company or other legal entity.

You may not accept this EULA if You are not of legal age to form a binding contract in your country/states.

## 1. Definitions

- "**We**" a.k.a. "us", or "typora.io". Developer(s) of Typora.
- **“Documentation”** the detailed information about the Software, its features and the system requirements as made available on the website of typora.io, as amended from time to time.
- **“Open Source Software”** any software that requires as a condition of use, copying, modification and/or distribution of such software that such software or other software incorporated into, derived from or distributed with such software (a) be disclosed or distributed in source code form, and (b) be licensed for the purpose of making and/or distributing derivative works, and (c) be redistributable at no charge;
- **“Beta version”** the license for the Software for public testing. This is currently the only available version. You could find if current Typora is in beta version or not from "Help" -> "About" dialog.
- **“Stable version”** versions with version number equal or greater than 1.0, exclude Beta versions.
- **“Full version”** the license for the Software for the term specified on the webpage of the store where You purchase the license, or in any applicable agreement concerning the purchase of the license (as stand-alone product or as part of a subscription) to Use the Software. This license is when Typora reaches v1.0.
- **“Trial version”** the license for the Software for the term of N days to Use the Stable version of Software for the sole purpose of testing and evaluating the Software. (N will be decided by us in future). This license is when Typora reaches v1.0.
- **“Updates”** any modified versions and updates of, and additions to the Software (excluding upgrades of the Software);
- **"Major Update"** updates that introduce major version number changes, for example, from 1.x to 2.x is a  Major Update, from 1.1.x to 1.2.x is not.
- **“Use”** the access, download, install, copy or get benefit from using the Software in accordance with the documentation.
- **“You”** you, the final and ultimate user of the Software or the authorized representative of a company or other legal entity that will be the final and ultimate user of the Software, and the company or other legal entity that will be the final and ultimate user of the Software, if applicable.

### General

1. This EULA applies to any licenses granted to You by us for the use of the Software.
2. By purchasing a License Key for the Software and/or downloading and using the Software, You enter into this EULA with us.

## 2. Changes to the License Agreement and the Website/Product

1. Typora is a work in progress, meaning that a lot will change in the near future. We reserve the right to update the Website and these Terms of Service from time to time, at our discretion. We will make sure to announce any major change in a prominent way. 
2. **Your continued use of the Typora following the publishing of updated License Agreement means that you accept and agree to the changes.**
3. The published License Agreement not only applies to current beta versions, but also applies to all versions and future updates of Typora.

## 3. License

1. We grant You a non-exclusive, non-transferable, limited, revocable license to Use the Software in accordance with this EULA. We reserve all rights not expressly granted to You.
2. We are and remain the owner of any intellectual property rights with respect to the Software. You shall not acquire any ownership to the Software as result of Your purchase of the License Key or Your Use of the Software.

## 4. Permitted use and restrictions

1. In order to be able to install the Software and receive Updates and upgrades, Your computer shall have access to the Internet and shall meet the system requirements described in the Documentation that can be found on the webpage: https://support.typora.io/System-Requirements. The system requirements may be changed in future updates.
2. You shall Use the Beta version, Full version, or Trial version in accordance with applicable laws and shall not:
     1. Use the Trial version on any system where the Trial version was previously Used and expired;
     2. rent, lease, lend, sell, redistribute, sublicense or otherwise commercially exploit the License Key, the Full version or the Trial version;
     3. assign the License Key, the Full version or the Trial version without prior written approval of us;
     4. Use the Beta version, Full version or Trial version for any unlawful or illegal activity, or to facilitate an unlawful or illegal activity;
     5. delete or alter any disclaimers, warnings, copyright or other proprietary notices accompanying the Software; or
     6. adapt (except as otherwise provided in this EULA), decompile, reverse engineer, disassemble, attempt to derive the source code of, modify or create derivative works of the Software and the License Key or any parts thereof, except to the extent permitted by applicable law.
     7. Exception: repackage (provide installation packages/scripts) Typora on Linux system is allowed if all contents (includes all binaries, resources files, scripts, etc) of Typora are not modified or deleted.
3. We may modify the Software at any time at its sole discretion and without notice to You, for example to comply with applicable law or a court order, to avoid a third party infringement claim or to provide Updates and upgrades.
4. Certain components of the Software are Open Source Software and licensed under the terms of the applicable license(s) of the Open Source Software. You shall adhere to these terms and conditions, which can be found via the webpage: https://support.typora.io/Acknowledgement/.

## 5. Maintenance and support

1. We will notify You of any available Updates and upgrades.
2. You will be entitled to receive Updates free of charge for unless it is a Major Update. 
3. For a major update, You may or may not need to pay an additional fee in order to be able to download an upgrade. The payment policy for major update will be announced by us when the upgrades are ready.
4. After you upgrade from Beta version to Stable version, if no License key are provided, you would start using Trial Version automatically.
5. You could upgrade or downgrade Typora as you like, but we will delete older versions from our website after a long time period or we find it contains serious bugs.
6. Any maintenance and support provided by us, including the provision of Updates and upgrades, will be provided in an adequate way on an “as is” basis without any warranty, as soon as reasonably practicable, subject to availability of personnel.

## 6. Use of data

1. See our [Private Policy](https://support.typora.io/Privacy-Policy/).

## 7. Disclaimer

1. You Use the Software at Your own risk and the entire risk as to satisfactory quality, performance and accuracy is with You.
2. We are working hard on improving Typora, but we can't guarantee that is it bug free. Therefore, **your use of Typora is at your sole risk. The service is provided "as is" and "as available".** We disclaim all warranties of any kind, express or implied, including, without limitation, the warranties of merchantability, fitness for a particular purpose and non-infringement. We are not liable for damages, direct or consequential, resulting from your use of the Website, and you agree to defend, indemnify and hold us harmless from any claims, losses, liability costs and expenses (including but not limited to attorney's fees) arising from your violation of any third-party's rights. You acknowledge that you have only a limited, nonexclusive, nontransferable license to use the Website.

## 8. Liability limitation

1. We and any third party that has been involved in the creation, production, or delivery of the Software are under no circumstances liable for consequential or indirect damages (including damage for loss of profit, business interruption, loss of data, and the like arising out of the use or inability to use the Software).
2. The limitations of liability referred to in clause 8.1 shall not apply in the event that: (i) any negligence on the part of Typora leads to death or physical injury or (ii) damages arise from the intent, willful misconduct or gross negligence of us or the management of us.

## 9. Termination

1. This EULA will continue to be in force until the expiry or termination of the Full version or Trial version.
2. The Full version or Trial version will terminate automatically at the end of the applicable license term, unless renewed or Activated prior to the end of the applicable license term.
3. We are entitled to terminate the Full version or Trial version by blocking the License Key during the license term with immediate effect and without prior notice in the event You fail to comply with the terms in this EULA, in the event You fail to pay Your (subscription) fee for the License Key within the applicable payment term, or in the event Typora is required to do so by law or an order of an applicable court.
4. Upon termination of the Full version or Trial version, You shall cease all use of the Software and shall destroy all copies thereof.
5. You acknowledge that the provisions of this EULA, which by their nature are intended to survive termination, will remain in effect after termination of this EULA.

## 10. Feedback

We welcome any comment, question and communication at hi@typora.io