## Privacy Policy

[typora.io](http://typora.io) built Typora as a Commercial software. This SOFTWARE is provided by typora.io and is intended for use as is.

This page is used to inform users regarding our policies with the collection, use, and disclosure of Personal Information if anyone decided to use Typora.

If you choose to use Typora, then you agree to the collection and use of information in relation to this policy. 

The terms used in this Privacy Policy have the same meanings as in our Terms and Conditions, which will be accessible at Typora unless otherwise defined in this Privacy Policy.

This Privacy Policy only applies for the usage of our software. Visiting our official homepage, support website, theme website, or other related websites, is not controlled by this Privacy Policy.

### Information Collection and Use

**Anonymous usage data will only be send when the option "Send Anonymous Usage Info" is enabled in preferences panel.** 

If you disable the option, no data will be collected to us. (The option can be opt-out, but may need a restart of Typora for the option to apply). 

When you allow send anonymous usage data, we WILL collect following data anonymous for getting overall statistics of how Typora is used:

- Typora version, operation system, screen resolution, locale and countries (based on IP address).
- Name of operations when using Typora, such as “launch”, “new window”, “print”, etc, for gathering overall statistics. (We won’t be able to list all detailed operations for a given user. We won’t collect any detail or sensitive data for user’s operation)
- How long a user is using Typora.
- Insensitive preference settings in Typora such as theme name, window style, etc.

When error/exception happens, and if you allow send anonymous usage data, we will collect stack trace,  related settings, and running status before exception throws to help us find errors. It should not contain any sensitive or personal data.

#### 3rd Party Apps & Services

Typora can call and execute other apps for higher usability,  which may collect information used to identify you,  no matter you enable "Send Anonymous Usage Info" or not.

The 3rd party apps that Typora may launch includes:

- [iPic](https://en.toolinbox.net/iPic/) (optional installation on macOS). It may be automatically launched by Typora when you choose to upload images into could server via iPic. Target image path or data will be provided to iPic from Typora during this process.
- [Pandoc](https://pandoc.org/) (optional installation). It may be automatically launched by Typora when you import/export docx, epub, LaTeX, and other file formats. Data of your current file will be provided to Pandoc from Typora in a converted format that Pandoc accepts.

None of them will be installed automatically by Typora, nor launched automatically when user is not doing related operations. 

We have no control over and assume no responsibility for the content, privacy policies, or practices of any third-party services or apps.

### External Sites

If you insert images, videos, iframes or other resources Typora support from remote websites, or open local markdown file containing them, Typora will load them automatically from target sites. Those sites, however, may collect your visit information.

Also, you can input or open files that may contain links to other sites. If you click on a third-party link, you will be directed to that site. Note that these external sites are not operated by us. Therefore, we strongly advise you to review the Privacy Policy of these websites. 

We have no control over and assume no responsibility for the content, privacy policies, or practices of any third-party websites.

### Log Data

Typora will record necessary log on your local computer. 

### Backups

For better user experience and prevent data lose from crash, if possible, Typora will create backups for the content your input or modify automatically, those backups are stored on your local computer, no data will be collected by us.

### Feedbacks & Debug Contents

You may send us, or we may suggest you to send us informations like system version, operation steps , sample markdown files, or other needed info when you reports bugs or gave feedbacks. You can refuse to provide those informations if you do not want to. 

All sample markdown files that user send to us, will only be used for debug and test purpose, we will not leak them to any other person who is not one of our development team without user's permission. We may keep and use them after we remove sensitive data or personal identical data, for regulation test purpose. But we will delete files from mail box and local machine after we fixed related bugs, if user require us doing so. 

Since user can give us feedbacks via mail, GitHub, twitter, doorbell.io, and so on, we have no control over and assume no responsibility for the content, privacy policies, or practices of any of those communication tools. 

### Service Providers

We will NOT share data with third-party companies and individuals.

### Security

We value your trust in providing us your Personal Information, thus we are striving to use commercially acceptable means of protecting it. But remember that no method of transmission over the internet, or method of electronic storage is 100% secure and reliable, and we cannot guarantee its absolute security.

### Children’s Privacy

These Services do not address anyone under the age of 13. We do not knowingly collect personally identifiable information from children under 13. In the case we discover that a child under 13 has provided us with personal information, we immediately delete this from our servers or machines. If you are a parent or guardian and you are aware that your child has provided us with personal information, please contact me so that we will be able to do necessary actions.

### Changes to This Privacy Policy

We may update our Privacy Policy from time to time. Thus, you are advised to review this file or page periodically for any changes. These changes are effective immediately after they are updated in our website or Typora is upgraded.

### Contact Us

If you have any questions or suggestions about our Privacy Policy, do not hesitate to contact us (<hi@typora.io>).